Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000729Frama-CKernelpublic2011-02-17 20:592014-02-12 16:59
Reporteryakobowski 
Assigned Tosignoles 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Carbon-20110201 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000729: Plugin.is_invisible is not see-through enough
DescriptionAlthough setting Plugin.is_invisible before creating a parameter prevents it from being displayed in the "Run analyses" menue of the Gui, this is not the case in the help messages displayed on the console. Hiding the parameter at both places would be great.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001636)
signoles (manager)
2011-03-25 13:34

Well, implementing this feature introduced a bug since now some options are invisible (in the sense you want) while they should not...

That is options registering at any stage different of "configuring".
(0001708)
signoles (manager)
2011-04-11 13:19

Furthermore, if invisible options are aliases, then these aliases should also be invisible. That is not the case yet.
(0004808)
signoles (manager)
2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-02-17 20:59 yakobowski New Issue
2011-02-17 20:59 yakobowski Status new => assigned
2011-02-17 20:59 yakobowski Assigned To => signoles
2011-02-18 14:07 signoles Status assigned => resolved
2011-02-18 14:07 signoles Resolution open => fixed
2011-03-25 13:34 signoles Note Added: 0001636
2011-03-25 13:34 signoles Status resolved => feedback
2011-03-25 13:34 signoles Resolution fixed => reopened
2011-04-11 13:19 signoles Note Added: 0001708
2011-04-12 10:43 svn Checkin
2011-04-12 10:43 svn Status feedback => resolved
2011-04-12 10:43 svn Resolution reopened => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 16:59 signoles Note Added: 0004808
2014-02-12 16:59 signoles Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker